Show / Hide Table of Contents

# Struct RaptureGearsetModule

##### Inherited Members

System.ValueType.Equals(System.Object)
System.ValueType.GetHashCode()
System.ValueType.ToString()
System.Object.Equals(System.Object, System.Object)
System.Object.GetType()
System.Object.ReferenceEquals(System.Object, System.Object)

###### Namespace: FFXIVClientStructs.FFXIV.Client.UI.Misc

###### Assembly: FFXIVClientStructs.dll

##### Syntax

    public struct RaptureGearsetModule

### Fields

| Improve this Doc View Source

#### Gearset

##### Declaration

    public RaptureGearsetModule.Gearsets Gearset

##### Field Value

Type | Description
--- | ---
RaptureGearsetModule.Gearsets |

| Improve this Doc View Source

#### ModuleName

##### Declaration

    public byte *ModuleName

##### Field Value

Type | Description
--- | ---
System.Byte* |

| Improve this Doc View Source

#### vtbl

##### Declaration

    public void *vtbl

##### Field Value

Type | Description
--- | ---
System.Void* |

### Methods

| Improve this Doc View Source

#### CreateGearset()

##### Declaration

    public uint CreateGearset()

##### Returns

Type | Description
--- | ---
System.UInt32 |

| Improve this Doc View Source

#### DeleteGearset(Int32)

##### Declaration

    public void DeleteGearset(int gearsetId)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Int32 | gearsetId |

| Improve this Doc View Source

#### EquipGearset(Int32, Byte)

##### Declaration

    public int EquipGearset(int gearsetId, byte glamourPlateId = 0)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Int32 | gearsetId |
System.Byte | glamourPlateId |

##### Returns

Type | Description
--- | ---
System.Int32 |

| Improve this Doc View Source

#### GetClassJobIconForGearset(Int32)

##### Declaration

    public int GetClassJobIconForGearset(int gearsetId)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Int32 | gearsetId |

##### Returns

Type | Description
--- | ---
System.Int32 |

| Improve this Doc View Source

#### GetGearset(Int32)

##### Declaration

    public RaptureGearsetModule.GearsetEntry*GetGearset(int gearsetId)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Int32 | gearsetId |

##### Returns

Type | Description
--- | ---
RaptureGearsetModule.GearsetEntry* |

| Improve this Doc View Source

#### HasLinkedGlamourPlate(Int32)

##### Declaration

    public byte HasLinkedGlamourPlate(int gearsetId)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Int32 | gearsetId |

##### Returns

Type | Description
--- | ---
System.Byte |

| Improve this Doc View Source

#### Instance()

##### Declaration

    public static RaptureGearsetModule*Instance()

##### Returns

Type | Description
--- | ---
RaptureGearsetModule* |

| Improve this Doc View Source

#### IsValidGearset(Int32)

##### Declaration

    public byte IsValidGearset(int gearsetId)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Int32 | gearsetId |

##### Returns

Type | Description
--- | ---
System.Byte |

| Improve this Doc View Source

#### LinkGlamourPlate(Int32, Byte)

##### Declaration

    public void LinkGlamourPlate(int gearsetId, byte glamourPlateId)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Int32 | gearsetId |
System.Byte | glamourPlateId |